Skip to content
GET /unified/hris/employee_compensations

Query Parameters

Refer Specifying query parameters in Truto APIs

employeeobject

Employee associated with this compensation

References: Employees → id
9 supported4 required
Breathe
required
PeopleForce
required
PeopleHR
required
Rippling
required
AlexisHR
supported
greytHR
supported
HiBob
supported
Humaans
supported
Kenjo
supported
idstring

The unique identifier for employees

employee_idstring

The employee ID you want to get the compensations for

3 supported2 required
greytHR
required
HiBob
required
Humaans
supported
companystring
1 supported
Kenjo
supported
idstring
currencystring

Represents the currency of the compensation

8 supported
AlexisHR
supported
greytHR
supported
HiBob
supported
Humaans
supported
Kenjo
supported
PeopleForce
supported
PeopleHR
supported
Rippling
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Employee compensations

idstring
required·

The unique identifier for the compensation

10 supported
AlexisHR
supported
Breathe
supported
Factorial
supported
greytHR
supported
HiBob
supported
Humaans
supported
Kenjo
supported
PeopleForce
supported
PeopleHR
supported
Rippling
supported
amountnumber

Represents the amount of the compensation. Can be a number or percentage.

10 supported
AlexisHR
supported
Breathe
supported
Factorial
supported
greytHR
supported
HiBob
supported
Humaans
supported
Kenjo
supported
PeopleForce
supported
PeopleHR
supported
Rippling
supported
created_atstring · date-time

This represents the date when the compensation was created

6 supported
AlexisHR
supported
Breathe
supported
HiBob
supported
Humaans
supported
PeopleForce
supported
Rippling
supported
currencystring

Represents the currency of the compensation

8 supported
AlexisHR
supported
greytHR
supported
HiBob
supported
Humaans
supported
Kenjo
supported
PeopleForce
supported
PeopleHR
supported
Rippling
supported
descriptionstring

The description of the compensation

5 supported
AlexisHR
supported
Factorial
supported
greytHR
supported
PeopleForce
supported
PeopleHR
supported
employeeobject

Employee associated with this compensation

References: Employees → id
9 supported
AlexisHR
supported
Breathe
supported
greytHR
supported
HiBob
supported
Humaans
supported
Kenjo
supported
PeopleForce
supported
PeopleHR
supported
Rippling
supported
1 property
idstring

The unique identifier for employees

end_datestring · date-time

Represents the end date of the compensation

6 supported
Breathe
supported
greytHR
supported
HiBob
supported
Humaans
supported
Kenjo
supported
Rippling
supported
end_reasonstring

Represents why the compensation ended

1 supported
Humaans
supported
payment_frequencystring

Represents how often the compensation is paid

Possible values:
hourlydailyweeklybiweeklymonthlyquarterlyannuallyfixedone_time
8 supported
AlexisHR
supported
Breathe
supported
Factorial
supported
HiBob
supported
Kenjo
supported
PeopleForce
supported
PeopleHR
supported
Rippling
supported
periodstring

Represents the period of the compensation

Possible values:
hourlydailyweeklybiweeklymonthlyquarterlyannuallyfixedone_time
6 supported
AlexisHR
supported
HiBob
supported
Humaans
supported
PeopleForce
supported
PeopleHR
supported
Rippling
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

start_datestring · date-time

Represents the start date of the compensation

10 supported
AlexisHR
supported
Breathe
supported
Factorial
supported
greytHR
supported
HiBob
supported
Humaans
supported
Kenjo
supported
PeopleForce
supported
PeopleHR
supported
Rippling
supported
statusstring

Represents the status of the compensation

Possible values:
activeinactive
1 supported
HiBob
supported
typestring

The type of compensation

Possible values:
salaryhourlycommissionbonusequity
10 supported
AlexisHR
supported
Breathe
supported
Factorial
supported
greytHR
supported
HiBob
supported
Humaans
supported
Kenjo
supported
PeopleForce
supported
PeopleHR
supported
Rippling
supported
updated_atstring · date-time

This represents the date when the compensation was updated

6 supported
AlexisHR
supported
Breathe
supported
HiBob
supported
Humaans
supported
PeopleForce
supported
Rippling
supported
curl -X GET 'https://api.truto.one/unified/hris/employee_compensations?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/hris/employee_compensations?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/hris/employee_compensations"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'hris',
  'employeecompensations',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "hris",
        "employeecompensations",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())